Register runner
Registers a new build runner and returns a runner authentication token.
Operation ID
register_runnerRegisters a new build runner and returns a runner authentication token.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/runners/register" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "runner": { "cache_purge_requested_at": 0, "capabilities": {}, "created_at": 0, "custom_labels": [ "string" ], "disk_pressure": null, "id": "string", "labels": [ "string" ], "last_heartbeat_at": 0, "metrics": null, "name": "string", "registered_by": "string", "status": "online", "updated_at": 0 }, "token": "string"}